Subject: Re: [PATCH] git-init: don't base core.filemode on the ability to chmod.

From: Martin Waitz <[email-masked]>
Date: Thu, 4 Oct 2007 10:42:37 +0200

hoi :)

On Thu, Oct 04, 2007 at 01:21:02AM -0700, Junio C Hamano wrote:
> FWIW, I did not mean it to be an example for preferred
> indentation nor code layout, but as a better way to explain what
> the logic is computing.

sure, and I think it makes sense the way you wrote it.

> I do not think git on Cygwin nor WinGit creates $GIT_DIR/config
> with executable bit set.  Is this pretty much a workaround only
> for vfat-on-Linux ?

I just checked Cygwin, it creates files without executable bit and
disregards a chmod +x.  So yes, this seems to be a Linux-only problem.

-- 
Martin Waitz